X2Go Bug report logs - #899
EPEL 6 8 Jul 2015 release has dependency error

version graph

Package: packages.x2go.org; Maintainer for packages.x2go.org is x2go-dev@lists.x2go.org;

Reported by: "Harris, Peter A" <peter.a.harris@tektronix.com>

Date: Tue, 30 Jun 2015 20:40:02 UTC

Severity: normal

Found in version 0

Done: Mihai Moldovan <ionic@ionic.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#899; Package x2go bts. (Tue, 30 Jun 2015 20:40:02 GMT) (full text, mbox, link).


Acknowledgement sent to "Harris, Peter A" <peter.a.harris@tektronix.com>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Tue, 30 Jun 2015 20:40:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: "Harris, Peter A" <peter.a.harris@tektronix.com>
To: "submit@bugs.x2go.org" <submit@bugs.x2go.org>
Subject: EPEL 6 8 Jul 2015 release has dependency error
Date: Tue, 30 Jun 2015 20:23:12 +0000
[Message part 1 (text/plain, inline)]
Package: X2Go BTS
Version: 4.0.1.19

When I try to yum install x2goserver on RHEL 6.6 from epel/6/x86_64, I get a dependency error for libXcompshad.so.3 required by nxagent.  Downloading the package directly from http://packages.x2go.org/epel/6/main/x86_64/rpms/nx-libs/libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm and using yum to install just the one RPM returns the error "Nothing to do".

I have a clean RHEL6.6 system.

See attachments for:
	x2go.repo
	Output of "yum install x2goserver"

Abridged yum output:

[PAH-TEST-134-62-62]
tmp>  yum install x2goserver 2>&1 | tee /login/peteh/logs/yum_install_x2goserver.log     
Loaded plugins: aliases, changelog, downloadonly, kabi, presto, product-id,
              : refresh-packagekit, security, subscription-manager, tmprepo,
              : verify, versionlock
Loading support for Red Hat kernel ABI
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package x2goserver.x86_64 0:4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6 will be installed
...
---> Package nxagent.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
...
--> Processing Dependency: libXcompshad.so.3()(64bit) for package: nxagent-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
...
--> Processing Dependency: libXcompshad.so.3()(64bit) for package: nxagent-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
--> Running transaction check
---> Package nx-libs.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
---> Package nxagent.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
--> Processing Dependency: libXcompshad.so.3()(64bit) for package: nxagent-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
--> Finished Dependency Resolution
Error: Package: nxagent-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64 (x2go-release-epel)
           Requires: libXcompshad.so.3()(64bit)

Direct investigation of the repo showed a non-zero length libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm, which I downloaded and tried to pre-install using yum:

[PAH-TEST-134-62-62]
tmp>  ll libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm 
-rw-rw-r-- 1 root root 31940 Jun  7 19:35 libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm

[PAH-TEST-134-62-62]
tmp>  yum install ./libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm 
Loaded plugins: aliases, changelog, downloadonly, kabi, presto, product-id, refresh-packagekit, security, subscription-manager, tmprepo, verify, versionlock
Loading support for Red Hat kernel ABI
Setting up Install Process
Examining ./libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm: libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
Error: Nothing to do



Regards,
Pete Harris
Danaher / Tektronix
Danaher T&M / Global IT Infrastructure / UNIX Servers & Storage
MS 50-555 / PO BOX 500 / BEAVERTON OR 97077-0500
Phone:	+1.503.627.3989
Fax:	+1.503.627.4005 
-- Any opinions expressed are those of the author and may not be those of Danaher / Tektronix --


[yum_install_x2goserver.log (application/octet-stream, attachment)]
[x2go.repo (application/octet-stream, attachment)]

Bug reassigned from package 'x2go bts' to 'nx-libs'. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 30 Jun 2015 23:00:01 GMT) (full text, mbox, link).


No longer marked as found in versions 4.0.1.19. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 30 Jun 2015 23:00:01 GMT) (full text, mbox, link).


Marked as found in versions 3.5.0.29. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 30 Jun 2015 23:00:01 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#899; Package nx-libs. (Tue, 30 Jun 2015 23:40:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 30 Jun 2015 23:40:02 GMT) (full text, mbox, link).


Message #16 received at 899@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: "Harris, Peter A" <peter.a.harris@tektronix.com>, 899@bugs.x2go.org
Subject: Re: [X2Go-Dev] EPEL 6 8 Jul 2015 release has dependency error
Date: Wed, 1 Jul 2015 01:37:03 +0200
[Message part 1 (text/plain, inline)]
On 30.06.2015 10:23 PM, Harris, Peter A wrote:
> When I try to yum install x2goserver on RHEL 6.6 from epel/6/x86_64, I get a dependency error for libXcompshad.so.3 required by nxagent.

This is odd.


> Downloading the package directly from http://packages.x2go.org/epel/6/main/x86_64/rpms/nx-libs/libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm and using yum to install just the one RPM returns the error "Nothing to do".

This means it's already installed, check with rpm -qa | grep Xcompshad


> See attachments for:
> 	x2go.repo

Looks good.


> 	Output of "yum install x2goserver"

Doesn't look good.


What does rpm -ql libXcompshad3 output? It should be listing
/usr/lib64/libXcompshad.so.3 - the library nxagent is depending on.


I also unpacked the libXcompshad3 package manually to make sure that the library
is bundled in there - both the library and its symlink are part of the RPM file.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#899; Package nx-libs. (Wed, 01 Jul 2015 16:05:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 01 Jul 2015 16:05:02 GMT) (full text, mbox, link).


Message #21 received at 899@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: "Harris, Peter A" <peter.a.harris@tektronix.com>, "899@bugs.x2go.org" <899@bugs.x2go.org>
Subject: Re: [X2Go-Dev] EPEL 6 8 Jul 2015 release has dependency error
Date: Wed, 1 Jul 2015 18:01:53 +0200
[Message part 1 (text/plain, inline)]
On 01.07.2015 05:49 PM, Harris, Peter A wrote:
> [PAH-TEST-134-62-62]
> tmp>  rpm -iv ./libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm 
> warning: ./libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm: Header V4 RSA/SHA1 Signature, key ID 5bfe2b6e: NOKEY

Let's hope it's that... if you disable gpgcheck (=> set gpgcheck=0) in
x2go.repo, yum clean and try again, does it work correctly?


Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#899; Package nx-libs. (Wed, 01 Jul 2015 16:25:01 GMT) (full text, mbox, link).


Acknowledgement sent to "Harris, Peter A" <peter.a.harris@tektronix.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 01 Jul 2015 16:25:02 GMT) (full text, mbox, link).


Message #26 received at 899@bugs.x2go.org (full text, mbox, reply):

From: "Harris, Peter A" <peter.a.harris@tektronix.com>
To: Mihai Moldovan <ionic@ionic.de>, "899@bugs.x2go.org" <899@bugs.x2go.org>
Subject: RE: [X2Go-Dev] EPEL 6 8 Jul 2015 release has dependency error
Date: Wed, 1 Jul 2015 15:49:35 +0000
It seems to be only yum that has an issue with the libXcompshad3 package:
-------------------------------------

[PAH-TEST-134-62-62]
tmp>  yum install ./libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm 
Loaded plugins: aliases, changelog, downloadonly, kabi, presto, product-id, refresh-packagekit, security, subscription-manager, tmprepo, verify, versionlock
Loading support for Red Hat kernel ABI
Setting up Install Process
Examining ./libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm: libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
Error: Nothing to do

[PAH-TEST-134-62-62]
tmp>  rpm -iv ./libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm 
warning: ./libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm: Header V4 RSA/SHA1 Signature, key ID 5bfe2b6e: NOKEY
error: Failed dependencies:
        libNX_X11.so.6()(64bit) is needed by libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
        libNX_Xdamage.so.1()(64bit) is needed by libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
        libNX_Xrandr.so.2()(64bit) is needed by libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
        libNX_Xtst.so.6()(64bit) is needed by libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
        nx-libs(x86-64) >= 3.5.0.29 is needed by libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64

[PAH-TEST-134-62-62]
tmp>  rpm -qa | egrep compshad

[PAH-TEST-134-62-62]
tmp>  yum provides '*/libXcompshad.so.3'
Loaded plugins: aliases, changelog, downloadonly, kabi, presto, product-id, refresh-packagekit, security, subscription-manager, tmprepo, verify, versionlock
Loading support for Red Hat kernel ABI
Mondorescue                                                                               | 1.3 kB     00:00     
rhel-6-workstation-optional-rpms                                                          | 3.5 kB     00:00     
rhel-6-workstation-rpms                                                                   | 3.8 kB     00:00     
rhel-6-workstation-supplementary-rpms                                                     | 3.5 kB     00:00     
rhel-6-workstation-thirdparty-oracle-java-rpms                                            | 3.1 kB     00:00     
x2go-extras-epel                                                                          | 2.9 kB     00:00     
x2go-release-epel                                                                         | 2.9 kB     00:00     
rhel-6-workstation-rpms/filelists_db                                                      |  18 MB     00:02     
No Matches found

--------------------------------------
Just to make sure my yum files are not bad, I ran a clean.  I got the same results:
--------------------------------------

[PAH-TEST-134-62-62]
tmp>  yum clean packages metadata dbcache rpmdb plugins
Loaded plugins: aliases, changelog, downloadonly, kabi, presto, product-id, refresh-packagekit, security, subscription-manager, tmprepo, verify, versionlock
Loading support for Red Hat kernel ABI
Cleaning repos: mondorescue rhel-6-workstation-optional-rpms rhel-6-workstation-rpms rhel-6-workstation-supplementary-rpms
              : rhel-6-workstation-thirdparty-oracle-java-rpms x2go-extras-epel x2go-release-epel
0 delta-package files removed, by presto
54225 package files removed
22 metadata files removed
14 sqlite files removed
4 rpmdb files removed

[PAH-TEST-134-62-62]
tmp>  rpm -ql libXcompshad3    
package libXcompshad3 is not installed

[PAH-TEST-134-62-62]
tmp>  yum install ./libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm 
Loaded plugins: aliases, changelog, downloadonly, kabi, presto, product-id, refresh-packagekit, security, subscription-manager, tmprepo, verify, versionlock
Loading support for Red Hat kernel ABI
Setting up Install Process
Examining ./libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm: libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
Error: Nothing to do

[PAH-TEST-134-62-62]
tmp>  yum search libXcompshad
Loaded plugins: aliases, changelog, downloadonly, kabi, presto, product-id, refresh-packagekit, security, subscription-manager, tmprepo, verify, versionlock
Loading support for Red Hat kernel ABI
mondorescue                                                                               | 1.3 kB     00:00     
mondorescue/primary                                                                       |  41 kB     00:00     
mondorescue                                                                                              165/165
rhel-6-workstation-optional-rpms                                                          | 3.5 kB     00:00     
rhel-6-workstation-optional-rpms/primary_db                                               | 2.5 MB     00:00     
rhel-6-workstation-rpms                                                                   | 3.8 kB     00:00     
rhel-6-workstation-rpms/primary_db                                                        |  33 MB     00:06     
rhel-6-workstation-supplementary-rpms                                                     | 3.5 kB     00:00     
rhel-6-workstation-supplementary-rpms/primary_db                                          | 456 kB     00:00     
rhel-6-workstation-thirdparty-oracle-java-rpms                                            | 3.1 kB     00:00     
rhel-6-workstation-thirdparty-oracle-java-rpms/primary_db                                 | 273 kB     00:00     
x2go-extras-epel                                                                          | 2.9 kB     00:00     
x2go-extras-epel/primary_db                                                               | 9.4 kB     00:00     
x2go-release-epel                                                                         | 2.9 kB     00:00     
x2go-release-epel/primary_db                                                              |  33 kB     00:00     
Warning: No matches found for: libXcompshad
No Matches found

----------------------------
Could this be an issue with the repo data rather than the rpm?  Doing a search for libXcomp finds the other packages, but not libXcompshad3.
----------------------------

[PAH-TEST-134-62-62]
tmp>  yum search libXcomp
Loaded plugins: aliases, changelog, downloadonly, kabi, presto, product-id, refresh-packagekit, security, subscription-manager, tmprepo, verify, versionlock
Loading support for Red Hat kernel ABI
============================================ N/S Matched: libXcomp ============================================
libXcomposite-devel.i686 : Development files for libXcomposite
libXcomposite-devel.x86_64 : Development files for libXcomposite
libXcomp-devel.x86_64 : Development files for the NX differential compression library
libXcomp3.x86_64 : NX differential compression library
libXcompext-devel.x86_64 : Development files for the NX compression extensions library
libXcompext3.x86_64 : NX protocol compression extensions library
libXcomposite.i686 : X Composite Extension library
libXcomposite.x86_64 : X Composite Extension library

  Name and summary matches only, use "search all" for everything.

[PAH-TEST-134-62-62]
tmp>  yum list libXcomp\*
Loaded plugins: aliases, changelog, downloadonly, kabi, presto, product-id, refresh-packagekit,
              : security, subscription-manager, tmprepo, verify, versionlock
Loading support for Red Hat kernel ABI
Installed Packages
libXcomposite.i686         0.4.3-4.el6                                  @rhel-6-workstation-rpms    
libXcomposite.x86_64       0.4.3-4.el6                                  @anaconda-RedHatEnterpriseLinux-201409260744.x86_64/6.6
libXcomposite-devel.x86_64 0.4.3-4.el6                                  @anaconda-RedHatEnterpriseLinux-201409260744.x86_64/6.6
Available Packages
libXcomp-devel.x86_64      3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 x2go-release-epel           
libXcomp3.x86_64           3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 x2go-release-epel           
libXcompext-devel.x86_64   3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 x2go-release-epel           
libXcompext3.x86_64        3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 x2go-release-epel           
libXcomposite-devel.i686   0.4.3-4.el6                                  rhel-6-workstation-rpms     

Regards,
Pete...

-----Original Message-----
From: Mihai Moldovan [mailto:ionic@ionic.de] 
Sent: Tuesday, June 30, 2015 4:37 PM
To: Harris, Peter A; 899@bugs.x2go.org
Subject: Re: [X2Go-Dev] EPEL 6 8 Jul 2015 release has dependency error

On 30.06.2015 10:23 PM, Harris, Peter A wrote:[PAH>>]  
> When I try to yum install x2goserver on RHEL 6.6 from epel/6/x86_64, I get a dependency error for libXcompshad.so.3 required by nxagent.

This is odd.


> Downloading the package directly from http://packages.x2go.org/epel/6/main/x86_64/rpms/nx-libs/libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm and using yum to install just the one RPM returns the error "Nothing to do".

This means it's already installed, check with rpm -qa | grep Xcompshad


> See attachments for:
> 	x2go.repo

Looks good.


> 	Output of "yum install x2goserver"

Doesn't look good.


What does rpm -ql libXcompshad3 output? It should be listing
/usr/lib64/libXcompshad.so.3 - the library nxagent is depending on.


I also unpacked the libXcompshad3 package manually to make sure that the library
is bundled in there - both the library and its symlink are part of the RPM file.



Mihai


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#899; Package nx-libs. (Wed, 01 Jul 2015 16:35:02 GMT) (full text, mbox, link).


Acknowledgement sent to "Harris, Peter A" <peter.a.harris@tektronix.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 01 Jul 2015 16:35:02 GMT) (full text, mbox, link).


Message #31 received at 899@bugs.x2go.org (full text, mbox, reply):

From: "Harris, Peter A" <peter.a.harris@tektronix.com>
To: Mihai Moldovan <ionic@ionic.de>, "899@bugs.x2go.org" <899@bugs.x2go.org>
Subject: RE: [X2Go-Dev] EPEL 6 8 Jul 2015 release has dependency error
Date: Wed, 1 Jul 2015 16:34:19 +0000
Nope.  That does not help.  "yum install x2goserver" fails as before for dependency.  "yum list" still does not show the compshad package.

I downloaded the mirror and collected all the dependencies for libXcompshad3 into a test directory.  "rpm -iv --test ./*.rpm" issued no errors (only the warning about the gpg key for the first rpm, in this case libNX_X11).  So as you said yesterday, the rpm(s) are correct.

Interestingly, "yum install ./*.rpm" has no problem!  So it appears to me that yum, when given all the rpms directly to satisfy all dependencies, has no problem, but when it is required to go to the repo, it fails.  To confirm that, I asked yum to install libXcompshad3 and all it dependencies, but this time go to the repo for all packages:

[PAH-TEST-134-62-62]
tmp>  yum install libNX_X11-6 libNX_Xdamage1 libNX_Xext6 libNX_Xrandr2 libNX_Xrender1 libNX_Xtst6 libXcomp3 libXcompshad3 nx-libs
Loaded plugins: aliases, changelog, downloadonly, kabi, presto, product-id, refresh-packagekit, security, subscription-manager, tmprepo, verify, versionlock
Loading support for Red Hat kernel ABI
Setting up Install Process
No package libXcompshad3 available.
Resolving Dependencies
--> Running transaction check
---> Package libNX_X11-6.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
---> Package libNX_Xdamage1.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
---> Package libNX_Xext6.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
---> Package libNX_Xrandr2.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
---> Package libNX_Xrender1.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
---> Package libNX_Xtst6.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
---> Package libXcomp3.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
---> Package nx-libs.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved
...




Regards,
Pete...

-----Original Message-----
From: Mihai Moldovan [mailto:ionic@ionic.de] 
Sent: Wednesday, July 01, 2015 9:02 AM
To: Harris, Peter A; 899@bugs.x2go.org
Subject: Re: [X2Go-Dev] EPEL 6 8 Jul 2015 release has dependency error

On 01.07.2015 05:49 PM, Harris, Peter A wrote:
> [PAH-TEST-134-62-62]
> tmp>  rpm -iv ./libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm 
> warning: ./libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm: Header V4 RSA/SHA1 Signature, key ID 5bfe2b6e: NOKEY

Let's hope it's that... if you disable gpgcheck (=> set gpgcheck=0) in
x2go.repo, yum clean and try again, does it work correctly?


Mihai


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#899; Package nx-libs. (Wed, 01 Jul 2015 17:35:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 01 Jul 2015 17:35:01 GMT) (full text, mbox, link).


Message #36 received at 899@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: "Harris, Peter A" <peter.a.harris@tektronix.com>, 899@bugs.x2go.org
Subject: Re: [X2Go-Dev] EPEL 6 8 Jul 2015 release has dependency error
Date: Wed, 1 Jul 2015 19:29:56 +0200
[Message part 1 (text/plain, inline)]
On 01.07.2015 06:34 PM, Harris, Peter A wrote:
> Nope.  That does not help.  "yum install x2goserver" fails as before for dependency.  "yum list" still does not show the compshad package.

But why? I've checked the repository database and XML files created by
createrepo on the server and they both list the package:

ionic@nopileos~% sqlite3
3e2ca432eee448392bed25e4ace4fc5cc5bd7c9c03ba52235a6350e3c0fe6d3d-primary.sqlite
SQLite version 3.8.10.2 2015-05-20 18:17:19
Enter ".help" for usage hints.
sqlite> .explain
sqlite> SELECT * FROM `packages` WHERE name='libXcompshad3';
pkgK  pkgId          name  arch  vers  epoch          re  summary
description


          url               time_file   time_build  rpm_license  rpm_vendor
rpm_group                     rpm_buildhost     rpm_sourcerpm
                              rpm_header_start  rpm_header_end  rpm_packager
size_package  size_installed  size_archive  location_href
                                                location_base  checksum_type
----  -------------  ----  ----  ----  -------------  --  -------------
---------------------------------------------------------------------------------------------


----------------  ----------  ----------  -----------  ----------
----------------------------  ----------------
------------------------------------------------------------  ----------------
--------------  ------------  ------------  --------------  ------------
----------------------------------------------------------------------------------
 -------------  -------------
26    608f14174d931a88de8aa4c58e1873e042be3191d3b13bc360fb14e83fb59b66
libXcompshad3  x86_64  3.5.0.31  0
0.0x2go1.1.git20150608.671.main.el6  NX session shadowing Library  NX is a
software suite from NoMachine which implements very efficient
compression of the X11 protocol. This increases performance when
using X applications over a network, especially a slow one.

This package provides the session shadowing library.  http://x2go.org/
1433730944  1433728830  GPLv2+                   System Environment/Libraries
japsand.x2go.org  nx-libs-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.src.rpm
880               4568                          31940         73616
74684
rpms/nx-libs/libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm
                sha256
sqlite>

(The output looks messy, but the package is clearly recorded.)

That's for the sqlite DB downloaded from
http://packages.x2go.org/epel/6/main/x86_64/repodata/3e2ca432eee448392bed25e4ace4fc5cc5bd7c9c03ba52235a6350e3c0fe6d3d-primary.sqlite.bz2
- then bunzip2'd and with sqlite(3) let loose on it.

The corresponding XML file,
http://packages.x2go.org/epel/6/main/x86_64/repodata/2f68f7e2c19ed35ddbf5fba0615c01241c7629779f8330b657ccf399c90fa221-primary.xml.gz
also lists it.


> Interestingly, "yum install ./*.rpm" has no problem!  So it appears to me that yum, when given all the rpms directly to satisfy all dependencies, has no problem, but when it is required to go to the repo, it fails.  To confirm that, I asked yum to install libXcompshad3 and all it dependencies, but this time go to the repo for all packages:

How about adding -v --rpmverbosity=debug --nogpgcheck to the yum invocation to
get more extensive messages? There's also a -d <number> flag for even more
messages, but let's hope we won't need this...


Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#899; Package nx-libs. (Wed, 01 Jul 2015 20:40:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 01 Jul 2015 20:40:02 GMT) (full text, mbox, link).


Message #41 received at 899@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: "Harris, Peter A" <peter.a.harris@tektronix.com>, "899@bugs.x2go.org" <899@bugs.x2go.org>
Subject: Re: [X2Go-Dev] EPEL 6 8 Jul 2015 release has dependency error
Date: Wed, 1 Jul 2015 22:37:27 +0200
[Message part 1 (text/plain, inline)]
On 01.07.2015 08:20 PM, Harris, Peter A wrote:
> Just for to be sure, I added the repo to two other machines (RHEL 6.4 and 5.8) with the same result.> > I take it that neither you nor anyone else has seen this?
No, this is the first time I hear about that.

Okay, I did the following:

- installed CentOS 6.6 in a VirtualBox VM (fetched as an appliance from
  http://virtualboxes.org/images/centos/)
- changed network stuff, mostly MACs and type (virtio-net), left NAT adapter
  connected and added host-only adapter (so that I can remote to the box from
  the host.)
- booted up the VM, fixed up networking inside of it (had to add config for
  eth1 and change MAC address of eth0 in udev persistent net rules and
  sysconfig)

I then went ahead to go crazy:

[root@localhost yum.repos.d]# curl -O http://packages.x2go.org/epel/x2go.repo
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
103 1349 103 1349 0 0 11819 0 --:--:-- --:--:-- --:--:-- 39676
[root@localhost yum.repos.d]# less x2go.repo
[root@localhost yum.repos.d]# yum makecache fast
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: centos.intergenia.de
* extras: centos.mirror-server.de
* updates: artfiles.org
base | 3.7 kB 00:00
extras | 20 kB 00:00 ...
http://centos.mirror-server.de/6.6/extras/x86_64/repodata/repomd.xml: [Errno -1] Error importing repomd.xml for extras: Damaged repomd.xml file
Trying other mirror.
extras | 3.4 kB 00:00
updates | 3.4 kB 00:00
x2go-extras-epel | 2.9 kB 00:00
x2go-release-epel | 2.9 kB 00:00
Metadata Cache Created

[root@localhost yum.repos.d]# yum search libXcompshad3
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: centos.intergenia.de
* extras: centos.mirror-server.de
* updates: artfiles.org
==================================================================================================== N/S Matched: libXcompshad3 ====================================================================================================
libXcompshad3.x86_64 : NX session shadowing Library

Name and summary matches only, use "search all" for everything.

--------------------------------------------------------
Package available, according to yum...
--------------------------------------------------------


[root@localhost yum.repos.d]# yum install x2goserver x2goserver-xsession
Loaded plugins: fastestmirror
Setting up Install Process
Loading mirror speeds from cached hostfile
* base: centos.intergenia.de
* extras: centos.mirror-server.de
* updates: artfiles.org
Resolving Dependencies
--> Running transaction check
[HUGE OUTPUT]
--> Finished Dependency Resolution
Error: Package: x2goserver-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6.x86_64 (x2go-release-epel)
Requires: sshfs
Error: Package: x2goserver-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6.x86_64 (x2go-release-epel)
Requires: pwgen
Error: Package: x2goserver-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6.x86_64 (x2go-release-epel)
Requires: perl(File::BaseDir)
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

--------------------------------------------------------
Bummer, let's add the EPEL repo to install thee packages...
--------------------------------------------------------

[root@localhost yum.repos.d]# yum install epel-release
Loaded plugins: fastestmirror
Setting up Install Process
Loading mirror speeds from cached hostfile
* base: ftp.plusline.de
* extras: centos.copahost.com
* updates: ftp.plusline.de
Resolving Dependencies
--> Running transaction check
---> Package epel-release.noarch 0:6-8 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

====================================================================================================================================================================================================================================
Package Arch Version Repository Size
====================================================================================================================================================================================================================================
Installing:
epel-release noarch 6-8 extras 14 k

Transaction Summary
====================================================================================================================================================================================================================================
Install 1 Package(s)

Total download size: 14 k
Installed size: 22 k
Is this ok [y/N]: y
Downloading Packages:
epel-release-6-8.noarch.rpm | 14 kB 00:00
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Installing : epel-release-6-8.noarch 1/1
Verifying : epel-release-6-8.noarch 1/1

Installed:
epel-release.noarch 0:6-8

Complete!

--------------------------------------------------------
Updating the yum cache...
--------------------------------------------------------

root@localhost yum.repos.d]# yum makecache fast
[uninteresting]

--------------------------------------------------------
Installing the missing packages (and only them!)...
--------------------------------------------------------

[root@localhost yum.repos.d]# yum install fuse-sshfs pwgen perl-File-BaseDir
Loaded plugins: fastestmirror
Setting up Install Process
Loading mirror speeds from cached hostfile
* base: ftp.plusline.de
* epel: mirror.imt-systems.com
* extras: centos.copahost.com
* updates: centos.copahost.com
Resolving Dependencies
--> Running transaction check
---> Package fuse-sshfs.x86_64 0:2.4-1.el6 will be installed
--> Processing Dependency: libfuse.so.2(FUSE_2.7)(64bit) for package: fuse-sshfs-2.4-1.el6.x86_64
--> Processing Dependency: libfuse.so.2(FUSE_2.6)(64bit) for package: fuse-sshfs-2.4-1.el6.x86_64
--> Processing Dependency: libfuse.so.2(FUSE_2.5)(64bit) for package: fuse-sshfs-2.4-1.el6.x86_64
--> Processing Dependency: libfuse.so.2(FUSE_2.4)(64bit) for package: fuse-sshfs-2.4-1.el6.x86_64
--> Processing Dependency: libfuse.so.2(FUSE_2.2)(64bit) for package: fuse-sshfs-2.4-1.el6.x86_64
--> Processing Dependency: libfuse.so.2()(64bit) for package: fuse-sshfs-2.4-1.el6.x86_64
---> Package perl-File-BaseDir.noarch 0:0.03-13.el6 will be installed
--> Processing Dependency: perl(strict) for package: perl-File-BaseDir-0.03-13.el6.noarch
--> Processing Dependency: perl(File::Spec) for package: perl-File-BaseDir-0.03-13.el6.noarch
--> Processing Dependency: perl(Exporter) for package: perl-File-BaseDir-0.03-13.el6.noarch
--> Processing Dependency: perl(Carp) for package: perl-File-BaseDir-0.03-13.el6.noarch
--> Processing Dependency: perl(:MODULE_COMPAT_5.10.1) for package: perl-File-BaseDir-0.03-13.el6.noarch
---> Package pwgen.x86_64 0:2.07-1.el6 will be installed
--> Running transaction check
---> Package fuse-libs.x86_64 0:2.8.3-4.el6 will be installed
---> Package perl.x86_64 4:5.10.1-136.el6_6.1 will be installed
--> Processing Dependency: perl-libs = 4:5.10.1-136.el6_6.1 for package: 4:perl-5.10.1-136.el6_6.1.x86_64
--> Processing Dependency: perl-libs for package: 4:perl-5.10.1-136.el6_6.1.x86_64
--> Processing Dependency: perl(version) for package: 4:perl-5.10.1-136.el6_6.1.x86_64
--> Processing Dependency: perl(Pod::Simple) for package: 4:perl-5.10.1-136.el6_6.1.x86_64
--> Processing Dependency: perl(Module::Pluggable) for package: 4:perl-5.10.1-136.el6_6.1.x86_64
--> Processing Dependency: libperl.so()(64bit) for package: 4:perl-5.10.1-136.el6_6.1.x86_64
--> Running transaction check
---> Package perl-Module-Pluggable.x86_64 1:3.90-136.el6_6.1 will be installed
---> Package perl-Pod-Simple.x86_64 1:3.13-136.el6_6.1 will be installed
--> Processing Dependency: perl(Pod::Escapes) >= 1.04 for package: 1:perl-Pod-Simple-3.13-136.el6_6.1.x86_64
---> Package perl-libs.x86_64 4:5.10.1-136.el6_6.1 will be installed
---> Package perl-version.x86_64 3:0.77-136.el6_6.1 will be installed
--> Running transaction check
---> Package perl-Pod-Escapes.x86_64 1:1.04-136.el6_6.1 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

====================================================================================================================================================================================================================================
Package Arch Version Repository Size
====================================================================================================================================================================================================================================
Installing:
[uninteresting, will be shown at the end]

Transaction Summary
====================================================================================================================================================================================================================================
Install 10 Package(s)

Total download size: 11 M
Installed size: 36 M

[epel]
Is this ok [y/N]: y
Downloading Packages:
[uninteresting]
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total 364 kB/s | 11 MB 00:31
warning: rpmts_HdrFromFdno: Header V3 RSA/SHA256 Signature, key ID 0608b895: NOKEY
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-6
Importing GPG key 0x0608B895:
Userid : EPEL (6) <epel@fedoraproject.org>
Package: epel-release-6-8.noarch (@extras)
From : /etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-6
Is this ok [y/N]: y
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
[uninteresting]

Installed:
fuse-sshfs.x86_64 0:2.4-1.el6 perl-File-BaseDir.noarch 0:0.03-13.el6 pwgen.x86_64 0:2.07-1.el6

Dependency Installed:
fuse-libs.x86_64 0:2.8.3-4.el6 perl.x86_64 4:5.10.1-136.el6_6.1 perl-Module-Pluggable.x86_64 1:3.90-136.el6_6.1 perl-Pod-Escapes.x86_64 1:1.04-136.el6_6.1 perl-Pod-Simple.x86_64 1:3.13-136.el6_6.1
perl-libs.x86_64 4:5.10.1-136.el6_6.1 perl-version.x86_64 3:0.77-136.el6_6.1

Complete!


--------------------------------------------------------
Disabling the EPEL repo again...
--------------------------------------------------------

[root@localhost yum.repos.d]# vi epel.repo
[root@localhost yum.repos.d]# yum clean
[root@localhost yum.repos.d]# yum makecache fast

--------------------------------------------------------
Trying to install x2goserver and x2goserver-xsession again...
--------------------------------------------------------

[root@localhost yum.repos.d]# yum install x2goserver x2goserver-xsession
[HUGE OUTPUT]
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total 2.3 MB/s | 14 MB 00:05
warning: rpmts_HdrFromFdno: Header V4 RSA/SHA1 Signature, key ID 5bfe2b6e: NOKEY
Retrieving key from http://packages.x2go.org/pub.key
Importing GPG key 0x5BFE2B6E:
Userid: "X2go Debian/Ubuntu Packaging <debian@x2go.org>"
From : http://packages.x2go.org/pub.key
Is this ok [y/N]: y


Package perl-Capture-Tiny-0.23-0.0x2go1.el6.noarch.rpm is not signed

--------------------------------------------------------
Aww. I went ahead and signed the extras packages on our
packages server.
Then cleaned and regenerated yum cache.
--------------------------------------------------------

[root@localhost yum.repos.d]# yum clean
[root@localhost yum.repos.d]# yum makecache fast


--------------------------------------------------------
Retrying to install x2goserver and x2goserver-xsession.
--------------------------------------------------------


[root@localhost yum.repos.d]# yum install x2goserver x2goserver-xsession
Loaded plugins: fastestmirror
Setting up Install Process
Loading mirror speeds from cached hostfile
 * base: ftp.plusline.de
 * extras: centos.copahost.com
 * updates: ftp.plusline.de
Resolving Dependencies
--> Running transaction check
---> Package x2goserver.x86_64 0:4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6 will be installed
--> Processing Dependency: x2goagent >= 3.5.0.25 for package: x2goserver-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6.x86_64
--> Processing Dependency: perl(Capture::Tiny) for package: x2goserver-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6.x86_64
--> Processing Dependency: bc for package: x2goserver-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6.x86_64
--> Processing Dependency: xorg-x11-fonts-misc for package: x2goserver-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6.x86_64
--> Processing Dependency: perl(DBI) for package: x2goserver-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6.x86_64
--> Processing Dependency: x2goserver-extensions for package: x2goserver-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6.x86_64
--> Processing Dependency: xorg-x11-xauth for package: x2goserver-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6.x86_64
--> Processing Dependency: perl(DBD::Pg) for package: x2goserver-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6.x86_64
--> Processing Dependency: perl(Config::Simple) for package: x2goserver-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6.x86_64
--> Processing Dependency: perl(DBD::SQLite) for package: x2goserver-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6.x86_64
--> Processing Dependency: perl(File::Which) for package: x2goserver-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6.x86_64
--> Processing Dependency: lsof for package: x2goserver-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6.x86_64
--> Processing Dependency: perl(Try::Tiny) for package: x2goserver-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6.x86_64
---> Package x2goserver-xsession.x86_64 0:4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6 will be installed
--> Processing Dependency: xorg-x11-xinit for package: x2goserver-xsession-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6.x86_64
--> Running transaction check
---> Package bc.x86_64 0:1.06.95-1.el6 will be installed
---> Package lsof.x86_64 0:4.82-4.el6 will be installed
---> Package perl-Capture-Tiny.noarch 0:0.23-0.0x2go1.el6 will be installed
---> Package perl-Config-Simple.noarch 0:4.59-5.1.el6 will be installed
---> Package perl-DBD-Pg.x86_64 0:2.15.1-4.el6_3 will be installed
--> Processing Dependency: libpq.so.5()(64bit) for package: perl-DBD-Pg-2.15.1-4.el6_3.x86_64
---> Package perl-DBD-SQLite.x86_64 0:1.27-3.el6 will be installed
---> Package perl-DBI.x86_64 0:1.609-4.el6 will be installed
---> Package perl-File-Which.noarch 0:1.09-2.el6 will be installed
---> Package perl-Try-Tiny.noarch 0:0.12-1.el6 will be installed
---> Package x2goagent.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
--> Processing Dependency: nxagent for package: x2goagent-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
---> Package x2goserver-extensions.x86_64 0:4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6 will be installed
---> Package xorg-x11-fonts-misc.noarch 0:7.2-9.1.el6 will be installed
--> Processing Dependency: mkfontdir for package: xorg-x11-fonts-misc-7.2-9.1.el6.noarch
--> Processing Dependency: mkfontdir for package: xorg-x11-fonts-misc-7.2-9.1.el6.noarch
--> Processing Dependency: fontconfig for package: xorg-x11-fonts-misc-7.2-9.1.el6.noarch
--> Processing Dependency: fontconfig for package: xorg-x11-fonts-misc-7.2-9.1.el6.noarch
---> Package xorg-x11-xauth.x86_64 1:1.0.2-7.1.el6 will be installed
--> Processing Dependency: libXmuu.so.1()(64bit) for package: 1:xorg-x11-xauth-1.0.2-7.1.el6.x86_64
--> Processing Dependency: libXext.so.6()(64bit) for package: 1:xorg-x11-xauth-1.0.2-7.1.el6.x86_64
--> Processing Dependency: libXau.so.6()(64bit) for package: 1:xorg-x11-xauth-1.0.2-7.1.el6.x86_64
--> Processing Dependency: libX11.so.6()(64bit) for package: 1:xorg-x11-xauth-1.0.2-7.1.el6.x86_64
---> Package xorg-x11-xinit.x86_64 0:1.0.9-14.el6 will be installed
--> Processing Dependency: xorg-x11-server-utils for package: xorg-x11-xinit-1.0.9-14.el6.x86_64
--> Processing Dependency: ConsoleKit-x11 for package: xorg-x11-xinit-1.0.9-14.el6.x86_64
--> Processing Dependency: libck-connector.so.0()(64bit) for package: xorg-x11-xinit-1.0.9-14.el6.x86_64
--> Running transaction check
---> Package ConsoleKit-libs.x86_64 0:0.4.1-3.el6 will be installed
--> Processing Dependency: dbus >= 0.90 for package: ConsoleKit-libs-0.4.1-3.el6.x86_64
---> Package ConsoleKit-x11.x86_64 0:0.4.1-3.el6 will be installed
--> Processing Dependency: ConsoleKit = 0.4.1-3.el6 for package: ConsoleKit-x11-0.4.1-3.el6.x86_64
---> Package fontconfig.x86_64 0:2.8.0-5.el6 will be installed
--> Processing Dependency: freetype >= 2.1.4 for package: fontconfig-2.8.0-5.el6.x86_64
--> Processing Dependency: libfreetype.so.6()(64bit) for package: fontconfig-2.8.0-5.el6.x86_64
---> Package libX11.x86_64 0:1.6.0-2.2.el6 will be installed
--> Processing Dependency: libX11-common = 1.6.0-2.2.el6 for package: libX11-1.6.0-2.2.el6.x86_64
--> Processing Dependency: libxcb.so.1()(64bit) for package: libX11-1.6.0-2.2.el6.x86_64
---> Package libXau.x86_64 0:1.0.6-4.el6 will be installed
---> Package libXext.x86_64 0:1.3.2-2.1.el6 will be installed
---> Package libXmu.x86_64 0:1.1.1-2.el6 will be installed
--> Processing Dependency: libXt.so.6()(64bit) for package: libXmu-1.1.1-2.el6.x86_64
---> Package nxagent.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
--> Processing Dependency: libXcomp.so.3()(64bit) for package: nxagent-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
--> Processing Dependency: libXcompext.so.3()(64bit) for package: nxagent-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
--> Processing Dependency: libNX_Xdamage.so.1()(64bit) for package: nxagent-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
--> Processing Dependency: libNX_Xpm.so.4()(64bit) for package: nxagent-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
--> Processing Dependency: libNX_Xinerama.so.1()(64bit) for package: nxagent-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
--> Processing Dependency: libNX_Xfixes.so.3()(64bit) for package: nxagent-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
--> Processing Dependency: libNX_X11.so.6()(64bit) for package: nxagent-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
--> Processing Dependency: libXcompshad.so.3()(64bit) for package: nxagent-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
--> Processing Dependency: libNX_Xext.so.6()(64bit) for package: nxagent-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
--> Processing Dependency: libNX_Xtst.so.6()(64bit) for package: nxagent-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
--> Processing Dependency: libNX_Xdmcp.so.6()(64bit) for package: nxagent-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
--> Processing Dependency: libNX_Xrandr.so.2()(64bit) for package: nxagent-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
--> Processing Dependency: libNX_Xcomposite.so.1()(64bit) for package: nxagent-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
--> Processing Dependency: libNX_Xrender.so.1()(64bit) for package: nxagent-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
---> Package postgresql-libs.x86_64 0:8.4.20-3.el6_6 will be installed
---> Package xorg-x11-font-utils.x86_64 1:7.2-11.el6 will be installed
--> Processing Dependency: libfontenc.so.1()(64bit) for package: 1:xorg-x11-font-utils-7.2-11.el6.x86_64
--> Processing Dependency: libXfont.so.1()(64bit) for package: 1:xorg-x11-font-utils-7.2-11.el6.x86_64
---> Package xorg-x11-server-utils.x86_64 0:7.7-2.el6 will be installed
--> Processing Dependency: mcpp for package: xorg-x11-server-utils-7.7-2.el6.x86_64
--> Processing Dependency: libXxf86vm.so.1()(64bit) for package: xorg-x11-server-utils-7.7-2.el6.x86_64
--> Processing Dependency: libXxf86misc.so.1()(64bit) for package: xorg-x11-server-utils-7.7-2.el6.x86_64
--> Processing Dependency: libXrender.so.1()(64bit) for package: xorg-x11-server-utils-7.7-2.el6.x86_64
--> Processing Dependency: libXrandr.so.2()(64bit) for package: xorg-x11-server-utils-7.7-2.el6.x86_64
--> Processing Dependency: libXinerama.so.1()(64bit) for package: xorg-x11-server-utils-7.7-2.el6.x86_64
--> Processing Dependency: libXi.so.6()(64bit) for package: xorg-x11-server-utils-7.7-2.el6.x86_64
--> Processing Dependency: libXcursor.so.1()(64bit) for package: xorg-x11-server-utils-7.7-2.el6.x86_64
--> Processing Dependency: libICE.so.6()(64bit) for package: xorg-x11-server-utils-7.7-2.el6.x86_64
--> Running transaction check
---> Package ConsoleKit.x86_64 0:0.4.1-3.el6 will be installed
--> Processing Dependency: libpolkit-gobject-1.so.0()(64bit) for package: ConsoleKit-0.4.1-3.el6.x86_64
---> Package dbus.x86_64 1:1.2.24-8.el6_6 will be installed
--> Processing Dependency: dbus-libs = 1:1.2.24-8.el6_6 for package: 1:dbus-1.2.24-8.el6_6.x86_64
---> Package freetype.x86_64 0:2.3.11-15.el6_6.1 will be installed
---> Package libICE.x86_64 0:1.0.6-1.el6 will be installed
---> Package libNX_X11-6.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
--> Processing Dependency: nx-libs(x86-64) >= 3.5.0.29 for package: libNX_X11-6-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
---> Package libNX_Xcomposite1.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
---> Package libNX_Xdamage1.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
---> Package libNX_Xdmcp6.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
---> Package libNX_Xext6.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
---> Package libNX_Xfixes3.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
---> Package libNX_Xinerama1.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
---> Package libNX_Xpm4.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
---> Package libNX_Xrandr2.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
---> Package libNX_Xrender1.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
---> Package libNX_Xtst6.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
---> Package libX11-common.noarch 0:1.6.0-2.2.el6 will be installed
---> Package libXcomp3.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
--> Processing Dependency: libpng12.so.0(PNG12_0)(64bit) for package: libXcomp3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
--> Processing Dependency: libjpeg.so.62(LIBJPEG_6.2)(64bit) for package: libXcomp3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
--> Processing Dependency: libpng12.so.0()(64bit) for package: libXcomp3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
--> Processing Dependency: libjpeg.so.62()(64bit) for package: libXcomp3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64
---> Package libXcompext3.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
---> Package libXcompshad3.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
---> Package libXcursor.x86_64 0:1.1.14-2.1.el6 will be installed
--> Processing Dependency: libXfixes.so.3()(64bit) for package: libXcursor-1.1.14-2.1.el6.x86_64
---> Package libXfont.x86_64 0:1.4.5-4.el6_6 will be installed
---> Package libXi.x86_64 0:1.7.2-2.2.el6 will be installed
---> Package libXinerama.x86_64 0:1.1.3-2.1.el6 will be installed
---> Package libXrandr.x86_64 0:1.4.1-2.1.el6 will be installed
---> Package libXrender.x86_64 0:0.9.8-2.1.el6 will be installed
---> Package libXt.x86_64 0:1.1.4-6.1.el6 will be installed
--> Processing Dependency: libSM.so.6()(64bit) for package: libXt-1.1.4-6.1.el6.x86_64
---> Package libXxf86misc.x86_64 0:1.0.3-4.el6 will be installed
---> Package libXxf86vm.x86_64 0:1.1.3-2.1.el6 will be installed
---> Package libfontenc.x86_64 0:1.0.5-2.el6 will be installed
---> Package libxcb.x86_64 0:1.9.1-2.el6 will be installed
---> Package mcpp.x86_64 0:2.7.2-4.1.el6 will be installed
--> Processing Dependency: libmcpp.so.0()(64bit) for package: mcpp-2.7.2-4.1.el6.x86_64
--> Running transaction check
---> Package dbus-libs.x86_64 1:1.2.24-7.el6_3 will be updated
---> Package dbus-libs.x86_64 1:1.2.24-8.el6_6 will be an update
---> Package libSM.x86_64 0:1.2.1-2.el6 will be installed
---> Package libXfixes.x86_64 0:5.0.1-2.1.el6 will be installed
---> Package libjpeg-turbo.x86_64 0:1.2.1-3.el6_5 will be installed
---> Package libmcpp.x86_64 0:2.7.2-4.1.el6 will be installed
---> Package libpng.x86_64 2:1.2.49-1.el6_2 will be installed
---> Package nx-libs.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6 will be installed
---> Package polkit.x86_64 0:0.96-7.el6 will be installed
--> Processing Dependency: libeggdbus-1.so.0()(64bit) for package: polkit-0.96-7.el6.x86_64
--> Running transaction check
---> Package eggdbus.x86_64 0:0.6-3.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

====================================================================================================================================================================================================================================
 Package                                               Arch                                   Version                                                                       Repository                                         Size
====================================================================================================================================================================================================================================
Installing:
 x2goserver                                            x86_64                                 4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6                                 x2go-release-epel                                  84 k
 x2goserver-xsession                                   x86_64                                 4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6                                 x2go-release-epel                                  26 k
Installing for dependencies:
 ConsoleKit                                            x86_64                                 0.4.1-3.el6                                                                   base                                               82 k
 ConsoleKit-libs                                       x86_64                                 0.4.1-3.el6                                                                   base                                               17 k
 ConsoleKit-x11                                        x86_64                                 0.4.1-3.el6                                                                   base                                               20 k
 bc                                                    x86_64                                 1.06.95-1.el6                                                                 base                                              110 k
 dbus                                                  x86_64                                 1:1.2.24-8.el6_6                                                              updates                                           207 k
 eggdbus                                               x86_64                                 0.6-3.el6                                                                     base                                               91 k
 fontconfig                                            x86_64                                 2.8.0-5.el6                                                                   base                                              186 k
 freetype                                              x86_64                                 2.3.11-15.el6_6.1                                                             updates                                           361 k
 libICE                                                x86_64                                 1.0.6-1.el6                                                                   base                                               53 k
 libNX_X11-6                                           x86_64                                 3.5.0.31-0.0x2go1.1.git20150608.671.main.el6                                  x2go-release-epel                                 496 k
 libNX_Xcomposite1                                     x86_64                                 3.5.0.31-0.0x2go1.1.git20150608.671.main.el6                                  x2go-release-epel                                 6.9 k
 libNX_Xdamage1                                        x86_64                                 3.5.0.31-0.0x2go1.1.git20150608.671.main.el6                                  x2go-release-epel                                 6.8 k
 libNX_Xdmcp6                                          x86_64                                 3.5.0.31-0.0x2go1.1.git20150608.671.main.el6                                  x2go-release-epel                                  11 k
 libNX_Xext6                                           x86_64                                 3.5.0.31-0.0x2go1.1.git20150608.671.main.el6                                  x2go-release-epel                                  25 k
 libNX_Xfixes3                                         x86_64                                 3.5.0.31-0.0x2go1.1.git20150608.671.main.el6                                  x2go-release-epel                                 9.8 k
 libNX_Xinerama1                                       x86_64                                 3.5.0.31-0.0x2go1.1.git20150608.671.main.el6                                  x2go-release-epel                                 7.1 k
 libNX_Xpm4                                            x86_64                                 3.5.0.31-0.0x2go1.1.git20150608.671.main.el6                                  x2go-release-epel                                  34 k
 libNX_Xrandr2                                         x86_64                                 3.5.0.31-0.0x2go1.1.git20150608.671.main.el6                                  x2go-release-epel                                 9.1 k
 libNX_Xrender1                                        x86_64                                 3.5.0.31-0.0x2go1.1.git20150608.671.main.el6                                  x2go-release-epel                                  19 k
 libNX_Xtst6                                           x86_64                                 3.5.0.31-0.0x2go1.1.git20150608.671.main.el6                                  x2go-release-epel                                  12 k
 libSM                                                 x86_64                                 1.2.1-2.el6                                                                   base                                               37 k
 libX11                                                x86_64                                 1.6.0-2.2.el6                                                                 base                                              586 k
 libX11-common                                         noarch                                 1.6.0-2.2.el6                                                                 base                                              192 k
 libXau                                                x86_64                                 1.0.6-4.el6                                                                   base                                               24 k
 libXcomp3                                             x86_64                                 3.5.0.31-0.0x2go1.1.git20150608.671.main.el6                                  x2go-release-epel                                 303 k
 libXcompext3                                          x86_64                                 3.5.0.31-0.0x2go1.1.git20150608.671.main.el6                                  x2go-release-epel                                  33 k
 libXcompshad3                                         x86_64                                 3.5.0.31-0.0x2go1.1.git20150608.671.main.el6                                  x2go-release-epel                                  31 k
 libXcursor                                            x86_64                                 1.1.14-2.1.el6                                                                base                                               28 k
 libXext                                               x86_64                                 1.3.2-2.1.el6                                                                 base                                               35 k
 libXfixes                                             x86_64                                 5.0.1-2.1.el6                                                                 base                                               17 k
 libXfont                                              x86_64                                 1.4.5-4.el6_6                                                                 updates                                           137 k
 libXi                                                 x86_64                                 1.7.2-2.2.el6                                                                 base                                               37 k
 libXinerama                                           x86_64                                 1.1.3-2.1.el6                                                                 base                                               13 k
 libXmu                                                x86_64                                 1.1.1-2.el6                                                                   base                                               66 k
 libXrandr                                             x86_64                                 1.4.1-2.1.el6                                                                 base                                               23 k
 libXrender                                            x86_64                                 0.9.8-2.1.el6                                                                 base                                               24 k
 libXt                                                 x86_64                                 1.1.4-6.1.el6                                                                 base                                              165 k
 libXxf86misc                                          x86_64                                 1.0.3-4.el6                                                                   base                                               18 k
 libXxf86vm                                            x86_64                                 1.1.3-2.1.el6                                                                 base                                               16 k
 libfontenc                                            x86_64                                 1.0.5-2.el6                                                                   base                                               24 k
 libjpeg-turbo                                         x86_64                                 1.2.1-3.el6_5                                                                 base                                              174 k
 libmcpp                                               x86_64                                 2.7.2-4.1.el6                                                                 base                                               69 k
 libpng                                                x86_64                                 2:1.2.49-1.el6_2                                                              base                                              182 k
 libxcb                                                x86_64                                 1.9.1-2.el6                                                                   base                                              110 k
 lsof                                                  x86_64                                 4.82-4.el6                                                                    base                                              319 k
 mcpp                                                  x86_64                                 2.7.2-4.1.el6                                                                 base                                               23 k
 nx-libs                                               x86_64                                 3.5.0.31-0.0x2go1.1.git20150608.671.main.el6                                  x2go-release-epel                                  16 k
 nxagent                                               x86_64                                 3.5.0.31-0.0x2go1.1.git20150608.671.main.el6                                  x2go-release-epel                                 1.5 M
 perl-Capture-Tiny                                     noarch                                 0.23-0.0x2go1.el6                                                             x2go-extras-epel                                   30 k
 perl-Config-Simple                                    noarch                                 4.59-5.1.el6                                                                  base                                               34 k
 perl-DBD-Pg                                           x86_64                                 2.15.1-4.el6_3                                                                base                                              196 k
 perl-DBD-SQLite                                       x86_64                                 1.27-3.el6                                                                    base                                               83 k
 perl-DBI                                              x86_64                                 1.609-4.el6                                                                   base                                              705 k
 perl-File-Which                                       noarch                                 1.09-2.el6                                                                    base                                               18 k
 perl-Try-Tiny                                         noarch                                 0.12-1.el6                                                                    x2go-extras-epel                                   23 k
 polkit                                                x86_64                                 0.96-7.el6                                                                    base                                              161 k
 postgresql-libs                                       x86_64                                 8.4.20-3.el6_6                                                                updates                                           202 k
 x2goagent                                             x86_64                                 3.5.0.31-0.0x2go1.1.git20150608.671.main.el6                                  x2go-release-epel                                  13 k
 x2goserver-extensions                                 x86_64                                 4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6                                 x2go-release-epel                                  27 k
 xorg-x11-font-utils                                   x86_64                                 1:7.2-11.el6                                                                  base                                               75 k
 xorg-x11-fonts-misc                                   noarch                                 7.2-9.1.el6                                                                   base                                              5.8 M
 xorg-x11-server-utils                                 x86_64                                 7.7-2.el6                                                                     base                                              155 k
 xorg-x11-xauth                                        x86_64                                 1:1.0.2-7.1.el6                                                               base                                               35 k
 xorg-x11-xinit                                        x86_64                                 1.0.9-14.el6                                                                  base                                               43 k
Updating for dependencies:
 dbus-libs                                             x86_64                                 1:1.2.24-8.el6_6                                                              updates                                           127 k

Transaction Summary
====================================================================================================================================================================================================================================
Install      66 Package(s)
Upgrade       1 Package(s)

Total size: 14 M
Total download size: 30 k
Is this ok [y/N]: y
Downloading Packages:
perl-Capture-Tiny-0.23-0.0x2go1.el6.noarch.rpm                                                                                                                                                               |  30 kB     00:00
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating   : 1:dbus-libs-1.2.24-8.el6_6.x86_64                                                                                                                                                                               1/68
  Installing : 1:dbus-1.2.24-8.el6_6.x86_64                                                                                                                                                                                    2/68
  Installing : libICE-1.0.6-1.el6.x86_64                                                                                                                                                                                       3/68
  Installing : perl-DBI-1.609-4.el6.x86_64                                                                                                                                                                                     4/68
  Installing : freetype-2.3.11-15.el6_6.1.x86_64                                                                                                                                                                               5/68
  Installing : ConsoleKit-libs-0.4.1-3.el6.x86_64                                                                                                                                                                              6/68
  Installing : libXau-1.0.6-4.el6.x86_64                                                                                                                                                                                       7/68
  Installing : 2:libpng-1.2.49-1.el6_2.x86_64                                                                                                                                                                                  8/68
  Installing : libfontenc-1.0.5-2.el6.x86_64                                                                                                                                                                                   9/68
  Installing : libjpeg-turbo-1.2.1-3.el6_5.x86_64                                                                                                                                                                             10/68
  Installing : libXfont-1.4.5-4.el6_6.x86_64                                                                                                                                                                                  11/68
  Installing : 1:xorg-x11-font-utils-7.2-11.el6.x86_64                                                                                                                                                                        12/68
  Installing : libxcb-1.9.1-2.el6.x86_64                                                                                                                                                                                      13/68
  Installing : fontconfig-2.8.0-5.el6.x86_64                                                                                                                                                                                  14/68
  Installing : xorg-x11-fonts-misc-7.2-9.1.el6.noarch                                                                                                                                                                         15/68
  Installing : perl-DBD-SQLite-1.27-3.el6.x86_64                                                                                                                                                                              16/68
  Installing : libSM-1.2.1-2.el6.x86_64                                                                                                                                                                                       17/68
  Installing : eggdbus-0.6-3.el6.x86_64                                                                                                                                                                                       18/68
  Installing : polkit-0.96-7.el6.x86_64                                                                                                                                                                                       19/68
  Installing : ConsoleKit-0.4.1-3.el6.x86_64                                                                                                                                                                                  20/68
  Installing : libX11-common-1.6.0-2.2.el6.noarch                                                                                                                                                                             21/68
  Installing : libX11-1.6.0-2.2.el6.x86_64                                                                                                                                                                                    22/68
  Installing : libXext-1.3.2-2.1.el6.x86_64                                                                                                                                                                                   23/68
  Installing : nx-libs-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                                    24/68
  Installing : libXcomp3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                                  25/68
  Installing : libNX_X11-6-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                                26/68
  Installing : libNX_Xext6-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                                27/68
  Installing : libXrender-0.9.8-2.1.el6.x86_64                                                                                                                                                                                28/68
  Installing : libNX_Xtst6-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                                29/68
  Installing : libNX_Xrender1-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                             30/68
  Installing : libNX_Xrandr2-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                              31/68
  Installing : libNX_Xdamage1-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                             32/68
  Installing : libXt-1.1.4-6.1.el6.x86_64                                                                                                                                                                                     33/68
  Installing : libXmu-1.1.1-2.el6.x86_64                                                                                                                                                                                      34/68
  Installing : 1:xorg-x11-xauth-1.0.2-7.1.el6.x86_64                                                                                                                                                                          35/68
  Installing : libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                              36/68
  Installing : libXrandr-1.4.1-2.1.el6.x86_64                                                                                                                                                                                 37/68
  Installing : libNX_Xinerama1-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                            38/68
  Installing : libNX_Xpm4-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                                 39/68
  Installing : libXcompext3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                               40/68
  Installing : libNX_Xdmcp6-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                               41/68
  Installing : libNX_Xcomposite1-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                          42/68
  Installing : libNX_Xfixes3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                              43/68
  Installing : nxagent-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                                    44/68
  Installing : x2goagent-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                                  45/68
  Installing : libXxf86misc-1.0.3-4.el6.x86_64                                                                                                                                                                                46/68
  Installing : libXxf86vm-1.1.3-2.1.el6.x86_64                                                                                                                                                                                47/68
  Installing : libXinerama-1.1.3-2.1.el6.x86_64                                                                                                                                                                               48/68
  Installing : libXi-1.7.2-2.2.el6.x86_64                                                                                                                                                                                     49/68
  Installing : libXfixes-5.0.1-2.1.el6.x86_64                                                                                                                                                                                 50/68
  Installing : libXcursor-1.1.14-2.1.el6.x86_64                                                                                                                                                                               51/68
  Installing : ConsoleKit-x11-0.4.1-3.el6.x86_64                                                                                                                                                                              52/68
  Installing : bc-1.06.95-1.el6.x86_64                                                                                                                                                                                        53/68
  Installing : perl-Try-Tiny-0.12-1.el6.noarch                                                                                                                                                                                54/68
  Installing : perl-Config-Simple-4.59-5.1.el6.noarch                                                                                                                                                                         55/68
  Installing : perl-Capture-Tiny-0.23-0.0x2go1.el6.noarch                                                                                                                                                                     56/68
  Installing : lsof-4.82-4.el6.x86_64                                                                                                                                                                                         57/68
  Installing : libmcpp-2.7.2-4.1.el6.x86_64                                                                                                                                                                                   58/68
  Installing : mcpp-2.7.2-4.1.el6.x86_64                                                                                                                                                                                      59/68
  Installing : xorg-x11-server-utils-7.7-2.el6.x86_64                                                                                                                                                                         60/68
  Installing : xorg-x11-xinit-1.0.9-14.el6.x86_64                                                                                                                                                                             61/68
  Installing : perl-File-Which-1.09-2.el6.noarch                                                                                                                                                                              62/68
  Installing : postgresql-libs-8.4.20-3.el6_6.x86_64                                                                                                                                                                          63/68
  Installing : perl-DBD-Pg-2.15.1-4.el6_3.x86_64                                                                                                                                                                              64/68
  Installing : x2goserver-xsession-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6.x86_64                                                                                                                                       65/68
  Installing : x2goserver-extensions-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6.x86_64                                                                                                                                     66/68
  Installing : x2goserver-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6.x86_64                                                                                                                                                67/68
  Cleanup    : 1:dbus-libs-1.2.24-7.el6_3.x86_64                                                                                                                                                                              68/68
  Verifying  : x2goagent-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                                   1/68
  Verifying  : libXcompext3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                                2/68
  Verifying  : libXrender-0.9.8-2.1.el6.x86_64                                                                                                                                                                                 3/68
  Verifying  : x2goserver-xsession-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6.x86_64                                                                                                                                        4/68
  Verifying  : libNX_Xtst6-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                                 5/68
  Verifying  : postgresql-libs-8.4.20-3.el6_6.x86_64                                                                                                                                                                           6/68
  Verifying  : fontconfig-2.8.0-5.el6.x86_64                                                                                                                                                                                   7/68
  Verifying  : libNX_Xdmcp6-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                                8/68
  Verifying  : libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                               9/68
  Verifying  : libxcb-1.9.1-2.el6.x86_64                                                                                                                                                                                      10/68
  Verifying  : libNX_Xcomposite1-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                          11/68
  Verifying  : ConsoleKit-0.4.1-3.el6.x86_64                                                                                                                                                                                  12/68
  Verifying  : xorg-x11-fonts-misc-7.2-9.1.el6.noarch                                                                                                                                                                         13/68
  Verifying  : libX11-1.6.0-2.2.el6.x86_64                                                                                                                                                                                    14/68
  Verifying  : libjpeg-turbo-1.2.1-3.el6_5.x86_64                                                                                                                                                                             15/68
  Verifying  : libXfixes-5.0.1-2.1.el6.x86_64                                                                                                                                                                                 16/68
  Verifying  : x2goserver-extensions-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6.x86_64                                                                                                                                     17/68
  Verifying  : libXext-1.3.2-2.1.el6.x86_64                                                                                                                                                                                   18/68
  Verifying  : x2goserver-4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6.x86_64                                                                                                                                                19/68
  Verifying  : libXcursor-1.1.14-2.1.el6.x86_64                                                                                                                                                                               20/68
  Verifying  : libfontenc-1.0.5-2.el6.x86_64                                                                                                                                                                                  21/68
  Verifying  : libNX_Xinerama1-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                            22/68
  Verifying  : libXxf86misc-1.0.3-4.el6.x86_64                                                                                                                                                                                23/68
  Verifying  : libNX_Xdamage1-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                             24/68
  Verifying  : perl-File-Which-1.09-2.el6.noarch                                                                                                                                                                              25/68
  Verifying  : 1:xorg-x11-font-utils-7.2-11.el6.x86_64                                                                                                                                                                        26/68
  Verifying  : libmcpp-2.7.2-4.1.el6.x86_64                                                                                                                                                                                   27/68
  Verifying  : perl-DBD-Pg-2.15.1-4.el6_3.x86_64                                                                                                                                                                              28/68
  Verifying  : 1:dbus-1.2.24-8.el6_6.x86_64                                                                                                                                                                                   29/68
  Verifying  : eggdbus-0.6-3.el6.x86_64                                                                                                                                                                                       30/68
  Verifying  : polkit-0.96-7.el6.x86_64                                                                                                                                                                                       31/68
  Verifying  : lsof-4.82-4.el6.x86_64                                                                                                                                                                                         32/68
  Verifying  : perl-DBD-SQLite-1.27-3.el6.x86_64                                                                                                                                                                              33/68
  Verifying  : freetype-2.3.11-15.el6_6.1.x86_64                                                                                                                                                                              34/68
  Verifying  : libNX_Xpm4-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                                 35/68
  Verifying  : libNX_Xrender1-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                             36/68
  Verifying  : xorg-x11-xinit-1.0.9-14.el6.x86_64                                                                                                                                                                             37/68
  Verifying  : perl-Capture-Tiny-0.23-0.0x2go1.el6.noarch                                                                                                                                                                     38/68
  Verifying  : ConsoleKit-libs-0.4.1-3.el6.x86_64                                                                                                                                                                             39/68
  Verifying  : libXrandr-1.4.1-2.1.el6.x86_64                                                                                                                                                                                 40/68
  Verifying  : libNX_Xext6-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                                41/68
  Verifying  : libXxf86vm-1.1.3-2.1.el6.x86_64                                                                                                                                                                                42/68
  Verifying  : libNX_X11-6-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                                43/68
  Verifying  : libXinerama-1.1.3-2.1.el6.x86_64                                                                                                                                                                               44/68
  Verifying  : perl-Config-Simple-4.59-5.1.el6.noarch                                                                                                                                                                         45/68
  Verifying  : nx-libs-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                                    46/68
  Verifying  : perl-Try-Tiny-0.12-1.el6.noarch                                                                                                                                                                                47/68
  Verifying  : 2:libpng-1.2.49-1.el6_2.x86_64                                                                                                                                                                                 48/68
  Verifying  : libXcomp3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                                  49/68
  Verifying  : perl-DBI-1.609-4.el6.x86_64                                                                                                                                                                                    50/68
  Verifying  : libNX_Xrandr2-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                              51/68
  Verifying  : mcpp-2.7.2-4.1.el6.x86_64                                                                                                                                                                                      52/68
  Verifying  : libXi-1.7.2-2.2.el6.x86_64                                                                                                                                                                                     53/68
  Verifying  : xorg-x11-server-utils-7.7-2.el6.x86_64                                                                                                                                                                         54/68
  Verifying  : libXau-1.0.6-4.el6.x86_64                                                                                                                                                                                      55/68
  Verifying  : libXt-1.1.4-6.1.el6.x86_64                                                                                                                                                                                     56/68
  Verifying  : 1:dbus-libs-1.2.24-8.el6_6.x86_64                                                                                                                                                                              57/68
  Verifying  : libICE-1.0.6-1.el6.x86_64                                                                                                                                                                                      58/68
  Verifying  : libNX_Xfixes3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                              59/68
  Verifying  : ConsoleKit-x11-0.4.1-3.el6.x86_64                                                                                                                                                                              60/68
  Verifying  : bc-1.06.95-1.el6.x86_64                                                                                                                                                                                        61/68
  Verifying  : nxagent-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64                                                                                                                                                    62/68
  Verifying  : 1:xorg-x11-xauth-1.0.2-7.1.el6.x86_64                                                                                                                                                                          63/68
  Verifying  : libXfont-1.4.5-4.el6_6.x86_64                                                                                                                                                                                  64/68
  Verifying  : libSM-1.2.1-2.el6.x86_64                                                                                                                                                                                       65/68
  Verifying  : libXmu-1.1.1-2.el6.x86_64                                                                                                                                                                                      66/68
  Verifying  : libX11-common-1.6.0-2.2.el6.noarch                                                                                                                                                                             67/68
  Verifying  : 1:dbus-libs-1.2.24-7.el6_3.x86_64                                                                                                                                                                              68/68

Installed:
  x2goserver.x86_64 0:4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6                                            x2goserver-xsession.x86_64 0:4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6

Dependency Installed:
  ConsoleKit.x86_64 0:0.4.1-3.el6                                          ConsoleKit-libs.x86_64 0:0.4.1-3.el6                                            ConsoleKit-x11.x86_64 0:0.4.1-3.el6
  bc.x86_64 0:1.06.95-1.el6                                                dbus.x86_64 1:1.2.24-8.el6_6                                                    eggdbus.x86_64 0:0.6-3.el6
  fontconfig.x86_64 0:2.8.0-5.el6                                          freetype.x86_64 0:2.3.11-15.el6_6.1                                             libICE.x86_64 0:1.0.6-1.el6
  libNX_X11-6.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6        libNX_Xcomposite1.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6         libNX_Xdamage1.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6
  libNX_Xdmcp6.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6       libNX_Xext6.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6               libNX_Xfixes3.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6
  libNX_Xinerama1.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6    libNX_Xpm4.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6                libNX_Xrandr2.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6
  libNX_Xrender1.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6     libNX_Xtst6.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6               libSM.x86_64 0:1.2.1-2.el6
  libX11.x86_64 0:1.6.0-2.2.el6                                            libX11-common.noarch 0:1.6.0-2.2.el6                                            libXau.x86_64 0:1.0.6-4.el6
  libXcomp3.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6          libXcompext3.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6              libXcompshad3.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6
  libXcursor.x86_64 0:1.1.14-2.1.el6                                       libXext.x86_64 0:1.3.2-2.1.el6                                                  libXfixes.x86_64 0:5.0.1-2.1.el6
  libXfont.x86_64 0:1.4.5-4.el6_6                                          libXi.x86_64 0:1.7.2-2.2.el6                                                    libXinerama.x86_64 0:1.1.3-2.1.el6
  libXmu.x86_64 0:1.1.1-2.el6                                              libXrandr.x86_64 0:1.4.1-2.1.el6                                                libXrender.x86_64 0:0.9.8-2.1.el6
  libXt.x86_64 0:1.1.4-6.1.el6                                             libXxf86misc.x86_64 0:1.0.3-4.el6                                               libXxf86vm.x86_64 0:1.1.3-2.1.el6
  libfontenc.x86_64 0:1.0.5-2.el6                                          libjpeg-turbo.x86_64 0:1.2.1-3.el6_5                                            libmcpp.x86_64 0:2.7.2-4.1.el6
  libpng.x86_64 2:1.2.49-1.el6_2                                           libxcb.x86_64 0:1.9.1-2.el6                                                     lsof.x86_64 0:4.82-4.el6
  mcpp.x86_64 0:2.7.2-4.1.el6                                              nx-libs.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6                   nxagent.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6
  perl-Capture-Tiny.noarch 0:0.23-0.0x2go1.el6                             perl-Config-Simple.noarch 0:4.59-5.1.el6                                        perl-DBD-Pg.x86_64 0:2.15.1-4.el6_3
  perl-DBD-SQLite.x86_64 0:1.27-3.el6                                      perl-DBI.x86_64 0:1.609-4.el6                                                   perl-File-Which.noarch 0:1.09-2.el6
  perl-Try-Tiny.noarch 0:0.12-1.el6                                        polkit.x86_64 0:0.96-7.el6                                                      postgresql-libs.x86_64 0:8.4.20-3.el6_6
  x2goagent.x86_64 0:3.5.0.31-0.0x2go1.1.git20150608.671.main.el6          x2goserver-extensions.x86_64 0:4.0.1.19-0.0x2go2.1.git20150608.1064.main.el6    xorg-x11-font-utils.x86_64 1:7.2-11.el6
  xorg-x11-fonts-misc.noarch 0:7.2-9.1.el6                                 xorg-x11-server-utils.x86_64 0:7.7-2.el6                                        xorg-x11-xauth.x86_64 1:1.0.2-7.1.el6
  xorg-x11-xinit.x86_64 0:1.0.9-14.el6

Dependency Updated:
  dbus-libs.x86_64 1:1.2.24-8.el6_6

Complete!


--------------------------------------------------------
So... for what it's worth, I installed x2goserver successfully on CentOS 6.6 and didn't see *any* of the errors you've seen, even *with* package signature checking enabled. It did ask me to import the key, though.

How does my setup differ from yours, besides it being RHEL and not CentOS?



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#899; Package nx-libs. (Wed, 01 Jul 2015 22:55:02 GMT) (full text, mbox, link).


Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 01 Jul 2015 22:55:02 GMT) (full text, mbox, link).


Message #46 received at 899@bugs.x2go.org (full text, mbox, reply):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: Mihai Moldovan <ionic@ionic.de>, 899@bugs.x2go.org
Cc: "Harris, Peter A" <peter.a.harris@tektronix.com>
Subject: Re: [X2Go-Dev] Bug#899: EPEL 6 8 Jul 2015 release has dependency error
Date: Thu, 2 Jul 2015 00:54:36 +0200
On Wed, Jul 1, 2015 at 10:37 PM, Mihai Moldovan <ionic@ionic.de> wrote:

> So... for what it's worth, I installed x2goserver successfully on CentOS 6.6 and didn't see *any* of the errors you've seen, even *with* package signature checking enabled. It did ask me to import the key, though.
>
> How does my setup differ from yours, besides it being RHEL and not CentOS?

I have seen occasionally that yum clean all does not clean up
everything in /var/cache/yum, especially when you are removing repos
completely. In your case you started from a clean install. Maybe Peter
should retry and remove /var/cache/yum beforehand.

Uli


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#899; Package nx-libs. (Wed, 01 Jul 2015 23:25:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 01 Jul 2015 23:25:02 GMT) (full text, mbox, link).


Message #51 received at 899@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: "Harris, Peter A" <peter.a.harris@tektronix.com>, "899@bugs.x2go.org" <899@bugs.x2go.org>
Subject: Re: [X2Go-Dev] EPEL 6 8 Jul 2015 release has dependency error
Date: Thu, 2 Jul 2015 01:22:45 +0200
[Message part 1 (text/plain, inline)]
On 02.07.2015 01:17 AM, Harris, Peter A wrote:
> Could this be a character encoding issue in the DB so that my libXcompshad3 does not match the libXcompshad3 on your machine and in the DB?  I am grasping at straws here...

Very, very unlikely... but check the SHA512SUM of your file:

befb34516673a4f31a89cd1ef2e7e4ae2a57a7c2130f956bf4734c2ab253f86503417037d720f0fbc18844004b79e2da2a7668042951ba46cee24b9562d20c28  ../../../6/main/x86_64/repodata/3e2ca432eee448392bed25e4ace4fc5cc5bd7c9c03ba52235a6350e3c0fe6d3d-primary.sqlite.bz2

(Should be cached somewhere in /var/cache/yum.)


I have two possible thoughts: your firewall is doing weird stuff, like unpacking .bz2 files, checking them for viruses and re-packing them. That could either corrupt the file or, more likely make signature checks fail.

Second one: your HTTP cacher cached an incomplete/corrupt file.



Mihai


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#899; Package nx-libs. (Wed, 01 Jul 2015 23:35:01 GMT) (full text, mbox, link).


Acknowledgement sent to "Harris, Peter A" <peter.a.harris@tektronix.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 01 Jul 2015 23:35:02 GMT) (full text, mbox, link).


Message #56 received at 899@bugs.x2go.org (full text, mbox, reply):

From: "Harris, Peter A" <peter.a.harris@tektronix.com>
To: "uli42@gmx.de" <uli42@gmx.de>, Mihai Moldovan <ionic@ionic.de>, "899@bugs.x2go.org" <899@bugs.x2go.org>
Subject: RE: [X2Go-Dev] Bug#899: EPEL 6 8 Jul 2015 release has dependency error
Date: Wed, 1 Jul 2015 23:17:19 +0000
Oh, and I really liked this idea, too! But, no.  I removed /var/cache/yum, ran yum makecache, and then yum install libXcompshad3.  Yum still cannot find the package.

Could this be a character encoding issue in the DB so that my libXcompshad3 does not match the libXcompshad3 on your machine and in the DB?  I am grasping at straws here...

Regards,
Pete...

-----Original Message-----
From: Ulrich Sibiller [mailto:ulrich.sibiller@gmail.com] 
Sent: Wednesday, July 01, 2015 3:55 PM
To: Mihai Moldovan; 899@bugs.x2go.org
Cc: Harris, Peter A
Subject: Re: [X2Go-Dev] Bug#899: EPEL 6 8 Jul 2015 release has dependency error

On Wed, Jul 1, 2015 at 10:37 PM, Mihai Moldovan <ionic@ionic.de> wrote:

> So... for what it's worth, I installed x2goserver successfully on CentOS 6.6 and didn't see *any* of the errors you've seen, even *with* package signature checking enabled. It did ask me to import the key, though.
>
> How does my setup differ from yours, besides it being RHEL and not CentOS?

I have seen occasionally that yum clean all does not clean up
everything in /var/cache/yum, especially when you are removing repos
completely. In your case you started from a clean install. Maybe Peter
should retry and remove /var/cache/yum beforehand.

Uli

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#899; Package nx-libs. (Thu, 02 Jul 2015 00:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to "Harris, Peter A" <peter.a.harris@tektronix.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 02 Jul 2015 00:25:02 GMT) (full text, mbox, link).


Message #61 received at 899@bugs.x2go.org (full text, mbox, reply):

From: "Harris, Peter A" <peter.a.harris@tektronix.com>
To: Mihai Moldovan <ionic@ionic.de>, "899@bugs.x2go.org" <899@bugs.x2go.org>
Subject: RE: [X2Go-Dev] EPEL 6 8 Jul 2015 release has dependency error
Date: Thu, 2 Jul 2015 00:24:34 +0000
The primary.sqlite file in /var/cache/yum is not zipped.  Here is what I get for the unzipped file:
--------------------------
[PAH-TEST-134-62-62]
tmp>  cd /var/cache/yum/x2go-release-epel 

[PAH-TEST-134-62-62]
x2go-release-epel>  ls
3622fd378b433fadfe2447d160f0503c8e55fb6508403c2f5812332055ea7021-other.sqlite      cachecookie
3b4d858dc9502dd70495a7478354dda38d1b5920981e1e763b6b3d4cc479b215-filelists.sqlite  packages
3e2ca432eee448392bed25e4ace4fc5cc5bd7c9c03ba52235a6350e3c0fe6d3d-primary.sqlite    repomd.xml

[PAH-TEST-134-62-62]
x2go-release-epel>  sha512sum 3e2ca432eee448392bed25e4ace4fc5cc5bd7c9c03ba52235a6350e3c0fe6d3d-primary.sqlite 
f499aed1fe3fb84e786e7bccceb663dbadf11191ba6dc6d612a260ec34764f52f74d126fdefb05d49d8df34e44f1150f8bbc40254eef7d27fcbbf8c574fe0b57  3e2ca432eee448392bed25e4ace4fc5cc5bd7c9c03ba52235a6350e3c0fe6d3d-primary.sqlite

------------------------------
Monday I did an rsync of the repo, and the copy in the repo is zipped and it does get the same checksum as you did.
-----------------------------

[PAH-TEST-134-62-62]
x2go-release-epel>  cd /localtmp/x2go-mirror/6/main/x86_64/repodata/

[PAH-TEST-134-62-62]
repodata>  sha512sum 3e2ca432eee448392bed25e4ace4fc5cc5bd7c9c03ba52235a6350e3c0fe6d3d-primary.sqlite.bz2
befb34516673a4f31a89cd1ef2e7e4ae2a57a7c2130f956bf4734c2ab253f86503417037d720f0fbc18844004b79e2da2a7668042951ba46cee24b9562d20c28  3e2ca432eee448392bed25e4ace4fc5cc5bd7c9c03ba52235a6350e3c0fe6d3d-primary.sqlite.bz2

-------------------------------
So I moved the unzipped file in the cache out of the way, unziped the one from the mirror copy into the cache dir, and ran sha512sum on that file.  It produces the same checksum as the file which yum dropped in the cache dir.

And the install still fails as before.

Next I used yumdownloader to download x2goserver and all its dependencies (except libXcompshad3 which it cannot see).  I then used sha512sum to compare those files with the ones that came down through rsync.  Since the rsync is not tunneled it may be no different than http download as far as any firewall is concerned, if indeed they are doing any virus checking.  I have had no problems with RedHat or Epel.  Anyway, the sums for all but perl-Capture-Tiny were the same.  Has that changed since June 30 22:30 UTC?

Regards,
Pete...

-----Original Message-----
<snip>

befb34516673a4f31a89cd1ef2e7e4ae2a57a7c2130f956bf4734c2ab253f86503417037d720f0fbc18844004b79e2da2a7668042951ba46cee24b9562d20c28  ../../../6/main/x86_64/repodata/3e2ca432eee448392bed25e4ace4fc5cc5bd7c9c03ba52235a6350e3c0fe6d3d-primary.sqlite.bz2

(Should be cached somewhere in /var/cache/yum.)


I have two possible thoughts: your firewall is doing weird stuff, like unpacking .bz2 files, checking them for viruses and re-packing them. That could either corrupt the file or, more likely make signature checks fail.

Second one: your HTTP cacher cached an incomplete/corrupt file.



Mihai



Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#899; Package nx-libs. (Thu, 02 Jul 2015 00:40:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 02 Jul 2015 00:40:01 GMT) (full text, mbox, link).


Message #66 received at 899@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: "Harris, Peter A" <peter.a.harris@tektronix.com>, "899@bugs.x2go.org" <899@bugs.x2go.org>
Subject: Re: [X2Go-Dev] EPEL 6 8 Jul 2015 release has dependency error
Date: Thu, 2 Jul 2015 02:38:59 +0200
[Message part 1 (text/plain, inline)]
On 02.07.2015 02:24 AM, Harris, Peter A wrote:
> [PAH-TEST-134-62-62]
> x2go-release-epel>  ls
> 3622fd378b433fadfe2447d160f0503c8e55fb6508403c2f5812332055ea7021-other.sqlite      cachecookie
> 3b4d858dc9502dd70495a7478354dda38d1b5920981e1e763b6b3d4cc479b215-filelists.sqlite  packages
> 3e2ca432eee448392bed25e4ace4fc5cc5bd7c9c03ba52235a6350e3c0fe6d3d-primary.sqlite    repomd.xml

What happens if you open that with sqlite3 and use the SELECT query I've provided earlier?

SELECT * FROM `packages` WHERE name='libXcompshad3';


I've that's indeed also giving back libXcompshad3 output (description and other metadata)... I'm lost.


> [PAH-TEST-134-62-62]
> x2go-release-epel>  sha512sum 3e2ca432eee448392bed25e4ace4fc5cc5bd7c9c03ba52235a6350e3c0fe6d3d-primary.sqlite 
> f499aed1fe3fb84e786e7bccceb663dbadf11191ba6dc6d612a260ec34764f52f74d126fdefb05d49d8df34e44f1150f8bbc40254eef7d27fcbbf8c574fe0b57  3e2ca432eee448392bed25e4ace4fc5cc5bd7c9c03ba52235a6350e3c0fe6d3d-primary.sqlite

My checksums match yours. Crap. There goes this theory.


> And the install still fails as before.
> 
> Next I used yumdownloader to download x2goserver and all its dependencies (except libXcompshad3 which it cannot see).  I then used sha512sum to compare those files with the ones that came down through rsync.  Since the rsync is not tunneled it may be no different than http download as far as any firewall is concerned, if indeed they are doing any virus checking.  I have had no problems with RedHat or Epel.  Anyway, the sums for all but perl-Capture-Tiny were the same.  Has that changed since June 30 22:30 UTC?

I think so, some extra packages were not signed at all. I did that manually as described in my wall of text eMail. As adding a signature naturally changes an RPM, there's nothing to worry about.

This said, I will have to re-sign all packages because the current method isn't... consistent (using two different keys for packages and repo data.)



Mihai


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#899; Package nx-libs. (Thu, 02 Jul 2015 16:50:01 GMT) (full text, mbox, link).


Acknowledgement sent to "Harris, Peter A" <peter.a.harris@tektronix.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 02 Jul 2015 16:50:01 GMT) (full text, mbox, link).


Message #71 received at 899@bugs.x2go.org (full text, mbox, reply):

From: "Harris, Peter A" <peter.a.harris@tektronix.com>
To: Mihai Moldovan <ionic@ionic.de>, "899@bugs.x2go.org" <899@bugs.x2go.org>
Subject: RE: [X2Go-Dev] EPEL 6 8 Jul 2015 release has dependency error
Date: Thu, 2 Jul 2015 16:47:24 +0000
I used sqlite3 against the primary sqlite file in /var/cache/yum/x2go-release-epel and was able to get the info for libXcompshad3.  I even nosed around and cross referenced the from the requires table to the provides table successfully.

I even did an strace on "yum --disablerepo=* --enablerepo=x2go-release-epel list libXcompshad3".  It opens the primary sqlite file and seeks its way through it; last bit of text was "er-xsessionx86_64"...  It just doesn't find it.  Othere than printing out different results, an strace of listing libXcompext3 looked the same.

Regards,
Pete...

-----Original Message-----
From: Mihai Moldovan [mailto:ionic@ionic.de] 
Sent: Wednesday, July 01, 2015 5:39 PM
To: Harris, Peter A; 899@bugs.x2go.org
Subject: Re: [X2Go-Dev] EPEL 6 8 Jul 2015 release has dependency error

On 02.07.2015 02:24 AM, Harris, Peter A wrote:
> [PAH-TEST-134-62-62]
> x2go-release-epel>  ls
> 3622fd378b433fadfe2447d160f0503c8e55fb6508403c2f5812332055ea7021-other.sqlite      cachecookie
> 3b4d858dc9502dd70495a7478354dda38d1b5920981e1e763b6b3d4cc479b215-filelists.sqlite  packages
> 3e2ca432eee448392bed25e4ace4fc5cc5bd7c9c03ba52235a6350e3c0fe6d3d-primary.sqlite    repomd.xml

What happens if you open that with sqlite3 and use the SELECT query I've provided earlier?

SELECT * FROM `packages` WHERE name='libXcompshad3';


I've that's indeed also giving back libXcompshad3 output (description and other metadata)... I'm lost.


> [PAH-TEST-134-62-62]
> x2go-release-epel>  sha512sum 3e2ca432eee448392bed25e4ace4fc5cc5bd7c9c03ba52235a6350e3c0fe6d3d-primary.sqlite 
> f499aed1fe3fb84e786e7bccceb663dbadf11191ba6dc6d612a260ec34764f52f74d126fdefb05d49d8df34e44f1150f8bbc40254eef7d27fcbbf8c574fe0b57  3e2ca432eee448392bed25e4ace4fc5cc5bd7c9c03ba52235a6350e3c0fe6d3d-primary.sqlite

My checksums match yours. Crap. There goes this theory.


> And the install still fails as before.
> 
> Next I used yumdownloader to download x2goserver and all its dependencies (except libXcompshad3 which it cannot see).  I then used sha512sum to compare those files with the ones that came down through rsync.  Since the rsync is not tunneled it may be no different than http download as far as any firewall is concerned, if indeed they are doing any virus checking.  I have had no problems with RedHat or Epel.  Anyway, the sums for all but perl-Capture-Tiny were the same.  Has that changed since June 30 22:30 UTC?

I think so, some extra packages were not signed at all. I did that manually as described in my wall of text eMail. As adding a signature naturally changes an RPM, there's nothing to worry about.

This said, I will have to re-sign all packages because the current method isn't... consistent (using two different keys for packages and repo data.)



Mihai



Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#899; Package nx-libs. (Fri, 03 Jul 2015 03:45:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 03 Jul 2015 03:45:02 GMT) (full text, mbox, link).


Message #76 received at 899@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: "Harris, Peter A" <peter.a.harris@tektronix.com>, "899@bugs.x2go.org" <899@bugs.x2go.org>
Subject: Re: [X2Go-Dev] EPEL 6 8 Jul 2015 release has dependency error
Date: Fri, 3 Jul 2015 05:43:10 +0200
[Message part 1 (text/plain, inline)]
On 02.07.2015 06:47 PM, Harris, Peter A wrote:
> I used sqlite3 against the primary sqlite file in /var/cache/yum/x2go-release-epel and was able to get the info for libXcompshad3.  I even nosed around and cross referenced the from the requires table to the provides table successfully.

I have no idea what is going on there. :(
The cached files are not corrupt, the files in our repository are not corrupt
and provide the necessary information - only your yum seems to not be happy
about something and fail parsing the sqlite file.

Given that sqlite3 itself has no problems, unless yum is misusing the sqlite3
library (which I do not believe), it's not a DB problem.

Are you fine with me closing that bug report? I've fixed the only real problem
with the repository that surfaced - unsigned RPM's in the extras section -
yesterday.


> I even did an strace on "yum --disablerepo=* --enablerepo=x2go-release-epel list libXcompshad3".  It opens the primary sqlite file and seeks its way through it; last bit of text was "er-xsessionx86_64"...  It just doesn't find it.  Othere than printing out different results, an strace of listing libXcompext3 looked the same.

I've tried summarizing the problem and asking for help on the #yum channel on
Freenode, but got no viable answer (though to be honest, that might take a while
- the channel is generally not very active.)

One thing I just noticed is that your yum is loading a dozen plugins, while mine
in the CentOS 6.6 test installation only loaded and used one: fastestmirror.

Maybe a plugin is misbehaving?

Try re-running the list/search command and pass --noplugins as an option.



Mihai


[signature.asc (application/pgp-signature, attachment)]

Marked Bug as done Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Fri, 17 Jul 2015 19:25:01 GMT) (full text, mbox, link).


Notification sent to "Harris, Peter A" <peter.a.harris@tektronix.com>:
Bug acknowledged by developer. (Fri, 17 Jul 2015 19:25:01 GMT) (full text, mbox, link).


Bug reassigned from package 'nx-libs' to 'packages.x2go.org'. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Fri, 17 Jul 2015 19:25:02 GMT) (full text, mbox, link).


No longer marked as found in versions 3.5.0.29. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Fri, 17 Jul 2015 19:25:02 GMT) (full text, mbox, link).


Marked as found in versions 0. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Fri, 17 Jul 2015 19:25:02 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 15 Aug 2015 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Aug 18 23:40:45 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.